Uses of Class
org.apache.juneau.marshall.Context
Packages that use Context
Package
Description
Configuration Support
Configuration Storage Support
Configuration Store Examples
Parser Examples
Serializer Examples
Marshalling API
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
HTTP Part Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
JSON-Schema Marshalling Support
Markdown serializer and parser support for Apache Juneau.
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Parser API
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
REST Client API
Mocked REST client and supporting classes for in-JVM testing built on the classic Apache HttpClient API.
REST Server API
REST Remote Procedure Call API
-
Uses of Context in org.apache.juneau.config
Subclasses of Context in org.apache.juneau.config -
Uses of Context in org.apache.juneau.config.store
Subclasses of Context in org.apache.juneau.config.storeModifier and TypeClassDescriptionclassClasspath-based storage location for configuration files.classRepresents a storage location for configuration files.classFilesystem-based storage location for configuration files.classFilesystem-based storage location for configuration files.classAConfigStoredecorator that layers profile overlays over a delegate store's base config. -
Uses of Context in org.apache.juneau.examples.core.config.store
Subclasses of Context in org.apache.juneau.examples.core.config.storeModifier and TypeClassDescriptionclassExample of aConfigStorethat uses a relational database as a backend. -
Uses of Context in org.apache.juneau.examples.parser
Subclasses of Context in org.apache.juneau.examples.parserModifier and TypeClassDescriptionclassExample parser that converts byte streams toBufferedImageobjects. -
Uses of Context in org.apache.juneau.examples.serializer
Subclasses of Context in org.apache.juneau.examples.serializerModifier and TypeClassDescriptionclassExample serializer that convertsBufferedImageobjects to byte streams. -
Uses of Context in org.apache.juneau.marshall
Subclasses of Context in org.apache.juneau.marshallModifier and TypeClassDescriptionclassBean context.classContext class for classes that useMarshallingContextobjects.classParent class for all classes that traverse POJOs.Methods in org.apache.juneau.marshall with type parameters of type ContextModifier and TypeMethodDescriptionfinal <T extends Context>
TConvenience method for callingContext.Builder.build()while avoiding a cast.Methods in org.apache.juneau.marshall that return ContextModifier and TypeMethodDescriptionContext.Builder.build()Build the object.ContextSession.getContext()Returns the context that created this session.Methods in org.apache.juneau.marshall with parameters of type ContextModifier and TypeMethodDescriptionSpecifies a pre-instantiated bean for theContext.Builder.build()method to return.Method parameters in org.apache.juneau.marshall with type arguments of type ContextModifier and TypeMethodDescriptionSpecifies a cache to use for hashkey-based caching.static Context.BuilderContext.createBuilder(Class<? extends Context> type) Instantiates a builder of the specified context class.Associates a context class with this builder.Constructors in org.apache.juneau.marshall with parameters of type Context -
Uses of Context in org.apache.juneau.marshall.bson
Subclasses of Context in org.apache.juneau.marshall.bsonModifier and TypeClassDescriptionclassParses BSON (Binary JSON) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSerializes POJO models to BSON (Binary JSON).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Context in org.apache.juneau.marshall.cbor
Subclasses of Context in org.apache.juneau.marshall.cborModifier and TypeClassDescriptionclassParses CBOR streams (RFC 8949) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSerializes POJO models to CBOR (RFC 8949).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Context in org.apache.juneau.marshall.csv
Subclasses of Context in org.apache.juneau.marshall.csvModifier and TypeClassDescriptionclassParses CSV (Comma Separated Values) input into Java objects.classSerializes POJO models to CSV (Comma Separated Values) format. -
Uses of Context in org.apache.juneau.marshall.hjson
Subclasses of Context in org.apache.juneau.marshall.hjsonModifier and TypeClassDescriptionclassParses Hjson (Human JSON) text into POJO models.classSerializes POJO models to Hjson (Human JSON). -
Uses of Context in org.apache.juneau.marshall.hocon
Subclasses of Context in org.apache.juneau.marshall.hoconModifier and TypeClassDescriptionclassParses HOCON (Human-Optimized Config Object Notation) text into POJO models.classSerializes POJO models to HOCON (Human-Optimized Config Object Notation). -
Uses of Context in org.apache.juneau.marshall.html
Subclasses of Context in org.apache.juneau.marshall.htmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classParses text generated by theHtmlSerializerclass back into a POJO model.classSerializes POJO metamodels to HTML.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSerializes POJOs to HTTP responses as stripped HTML. -
Uses of Context in org.apache.juneau.marshall.httppart
Subclasses of Context in org.apache.juneau.marshall.httppartModifier and TypeClassDescriptionclassBase class for implementations ofHttpPartParserclassBase class for implementations ofHttpPartSerializerclassAn implementation ofHttpPartParserthat takes in the strings and tries to convert them to POJOs using constructors and static create methods.classAn implementation ofHttpPartSerializerthat simply serializes everything usingObject.toString(). -
Uses of Context in org.apache.juneau.marshall.ini
Subclasses of Context in org.apache.juneau.marshall.iniModifier and TypeClassDescriptionclassParses INI-formatted text into POJO models.classSerializes POJO models to INI format. -
Uses of Context in org.apache.juneau.marshall.jcs
Subclasses of Context in org.apache.juneau.marshall.jcsModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS). -
Uses of Context in org.apache.juneau.marshall.jena
Subclasses of Context in org.apache.juneau.marshall.jenaModifier and TypeClassDescriptionclassSubclass ofRdfParserfor parsing JSON-LD into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to JSON-LD format.classSubclass ofRdfParserfor parsing N3 (Notation3) into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to N3 (Notation3) format.classSubclass ofRdfParserfor parsing N-Quads into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to N-Quads format.classSubclass ofRdfParserfor parsing N-Triples into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to N-Triples notation.classSubclass ofRdfParserfor parsing RDF/JSON into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to RDF/JSON notation.classParses RDF into POJOs.classStream-based RDF parser for RDF/PROTO binary format.classStream-based RDF serializer for RDF/PROTO binary format.classSerializes POJOs to RDF.classStream-based RDF parser for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF serializer for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF parser for RDF/THRIFT binary format.classStream-based RDF serializer for RDF/THRIFT binary format.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML-Abbrev (abbreviated XML notation).classSubclass ofRdfParserfor parsing RDF/XML into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML (standard XML notation).classSubclass ofRdfParserfor parsing TriG into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to TriG format.classSubclass ofRdfParserfor parsing TriX (XML) into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to TriX (XML) format.classSubclass ofRdfParserfor parsing Turtle into POJOs.classSubclass ofRdfSerializerfor serializing POJOs to Turtle format. -
Uses of Context in org.apache.juneau.marshall.json
Subclasses of Context in org.apache.juneau.marshall.jsonModifier and TypeClassDescriptionclassParses any valid RFC 8259 JSON text into a POJO model.classSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace. -
Uses of Context in org.apache.juneau.marshall.json5
Subclasses of Context in org.apache.juneau.marshall.json5Modifier and TypeClassDescriptionclassParses any valid JSON text into a POJO model.classSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace. -
Uses of Context in org.apache.juneau.marshall.json5l
Subclasses of Context in org.apache.juneau.marshall.json5lModifier and TypeClassDescriptionclassParses JSON5L (JSON5 Lines) input into POJO models.classSerializes POJO models to JSON5L (JSON5 Lines). -
Uses of Context in org.apache.juneau.marshall.jsonl
Subclasses of Context in org.apache.juneau.marshall.jsonlModifier and TypeClassDescriptionclassParses JSONL (JSON Lines) input into POJO models.classSerializes POJO models to JSONL (JSON Lines). -
Uses of Context in org.apache.juneau.marshall.jsonschema
Subclasses of Context in org.apache.juneau.marshall.jsonschemaModifier and TypeClassDescriptionclassGenerates JSON-schema metadata about POJOs. -
Uses of Context in org.apache.juneau.marshall.markdown
Subclasses of Context in org.apache.juneau.marshall.markdownModifier and TypeClassDescriptionclassParses Markdown document-mode output (headings + tables) back to POJOs.classSerializes POJO models to Markdown document mode (headings + tables).classParses Markdown fragment-mode output (tables and lists) back to POJOs.classSerializes POJO models to Markdown (fragment mode: tables and lists). -
Uses of Context in org.apache.juneau.marshall.msgpack
Subclasses of Context in org.apache.juneau.marshall.msgpackModifier and TypeClassDescriptionclassParses a MessagePack stream into a POJO model.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSerializes POJO models to MessagePack.static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Context in org.apache.juneau.marshall.oapi
Subclasses of Context in org.apache.juneau.marshall.oapiModifier and TypeClassDescriptionclassOpenAPI part parser.classSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of Context in org.apache.juneau.marshall.parquet
Subclasses of Context in org.apache.juneau.marshall.parquetModifier and TypeClassDescriptionclassParses Apache Parquet binary data into bean collections.classSerializes bean collections to Apache Parquet binary format. -
Uses of Context in org.apache.juneau.marshall.parser
Subclasses of Context in org.apache.juneau.marshall.parserModifier and TypeClassDescriptionclassSubclass ofParserfor byte-based parsers.classParent class for all Juneau parsers.static classRepresents no Parser.static classAn identifier that the previous entries in this group should be inherited.static classAn identifier that the previous entries in this group should not be inherited.classSubclass ofParserfor character-based parsers. -
Uses of Context in org.apache.juneau.marshall.plaintext
Subclasses of Context in org.apache.juneau.marshall.plaintextModifier and TypeClassDescriptionclassParsers HTTP plain text request bodies into Group 5 POJOs.classSerializes POJOs to plain text using just thetoString() method on the serialized object. -
Uses of Context in org.apache.juneau.marshall.serializer
Subclasses of Context in org.apache.juneau.marshall.serializerModifier and TypeClassDescriptionclassSubclass ofSerializerfor byte-based serializers.classParent class for all Juneau serializers.static classRepresents no Serializer.static classAn identifier that the previous entries in this group should be inherited.static classAn identifier that the previous entries in this group should not be inherited.classSubclass ofSerializerfor character-based serializers. -
Uses of Context in org.apache.juneau.marshall.soap
Subclasses of Context in org.apache.juneau.marshall.soapModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP. -
Uses of Context in org.apache.juneau.marshall.sse
Subclasses of Context in org.apache.juneau.marshall.sseModifier and TypeClassDescriptionclassParsestext/event-stream input (WHATWG Server-Sent Events) into Java objects.classSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec. -
Uses of Context in org.apache.juneau.marshall.toml
Subclasses of Context in org.apache.juneau.marshall.tomlModifier and TypeClassDescriptionclassParses TOML v1.0.0 text into POJOs.classSerializes POJOs to TOML v1.0.0 format. -
Uses of Context in org.apache.juneau.marshall.uon
Subclasses of Context in org.apache.juneau.marshall.uonModifier and TypeClassDescriptionclassParses UON (a notation for URL-encoded query parameter values) text into POJO models.static classDefault parser, decoding.classSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of Context in org.apache.juneau.marshall.urlencoding
Subclasses of Context in org.apache.juneau.marshall.urlencodingModifier and TypeClassDescriptionclassParses URL-encoded text into POJO models.classSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of Context in org.apache.juneau.marshall.xml
Subclasses of Context in org.apache.juneau.marshall.xmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classParses text generated by theXmlSerializerclass back into a POJO model.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added. -
Uses of Context in org.apache.juneau.marshall.yaml
Subclasses of Context in org.apache.juneau.marshall.yamlModifier and TypeClassDescriptionclassParses YAML text into a POJO model.classSerializes POJO models to YAML.static classDefault serializer, with whitespace. -
Uses of Context in org.apache.juneau.petstore.marshall
Subclasses of Context in org.apache.juneau.petstore.marshallModifier and TypeClassDescriptionclassclass -
Uses of Context in org.apache.juneau.rest.client.classic
Subclasses of Context in org.apache.juneau.rest.client.classicModifier and TypeClassDescriptionclassUtility class for interfacing with remote REST interfaces. -
Uses of Context in org.apache.juneau.rest.mock.classic
Subclasses of Context in org.apache.juneau.rest.mock.classic -
Uses of Context in org.apache.juneau.rest.server
Subclasses of Context in org.apache.juneau.rest.serverModifier and TypeClassDescriptionclassDefines the initial configuration of aRestServlet or@Rest annotated object.classRepresents a single Java servlet/resource method annotated with@RestOp. -
Uses of Context in org.apache.juneau.rest.server.rrpc
Subclasses of Context in org.apache.juneau.rest.server.rrpcModifier and TypeClassDescriptionclassA specializedRestOpContextfor handling"RRPC" HTTP methods.